// FixAttrib
// by Evan Ramos
// This file is released under the ISC license.

#include <stdio.h>
#include <stdlib.h>

#ifndef _WIN32
#error Windows only!
#endif

#include <windows.h>

int main(const int argc, char* argv[])
{
	if (argc > 1)
    {
		LPCTSTR file = argv[1];
		
		DWORD attributes = GetFileAttributes(file);
		
		if (attributes != INVALID_FILE_ATTRIBUTES)
        {
			attributes &= ~FILE_ATTRIBUTE_TEMPORARY;
			attributes &= ~FILE_ATTRIBUTE_OFFLINE;
			attributes &= ~FILE_ATTRIBUTE_NOT_CONTENT_INDEXED;
			
			if (SetFileAttributes(file, attributes) == 0)
				fprintf(stderr, "Error saving \"%s\".", argv[1]);
        }
		else
            fprintf(stderr, "Error opening \"%s\".", argv[1]);
    }
	
	return 0;
}
